"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

exports.default = flatten;

/**
 * Original Source: http://stackoverflow.com/a/15030117/971592
 *
 * This method will flatten arrays given to it. It's a copy.
 *
 * @param {...Array} arrays - The array(s) to flatten
 * @return {Array} - The flattened array
 */

function flatten() {
  for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  return args.reduce(function flattenReducer(flat, toFlatten) {
    return flat.concat(Array.isArray(toFlatten) ? flatten.apply(undefined, _toConsumableArray(toFlatten)) : toFlatten);
  }, []);
}