"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = reverseArrayInPlace;

/**
 * Original Source: https://stackoverflow.com/a/41387918
 *
 * Function that reverses an array without creating a placeholder array.
 *
 * @param  {Array} array - An array
 * @return {Array}       - A reversed array
 */

function reverseArrayInPlace(array) {
  for (var i = 0; i < Math.floor(array.length / 2); i++) {
    var old = array[i];
    array[i] = array[array.length - 1 - i];
    array[array.length - 1 - i] = old;
  }
  return array;
}