"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

exports.default = removeElementByIndex;

/**
 * Original source: https://stackoverflow.com/a/5767335/10309455
 * This method removes the element from an array by index and returns edited array
 * @param {Array} array - base array
 * @param {Number} index - index to delete
 * @returns {Array} - array without deleted item
 */

function removeElementByIndex(array, index) {
  var updatedArray = [].concat(_toConsumableArray(array));
  updatedArray.splice(index, 1);
  return updatedArray;
}